import { Maybe } from "purify-ts";
import type { usePositions } from "../../../../pages/details/positions-page/hooks/use-positions";
export declare const usePositionListItem: (item: ReturnType<typeof usePositions>["positionsData"]["data"][number]) => {
    integrationData: import("purify-ts/Maybe").Maybe<import("@stakekit/api-hooks").YieldDto>;
    providersDetails: Maybe<{
        logo: string | undefined;
        name: string;
        rewardRateFormatted: string;
        rewardRate: number | undefined;
        rewardType: import("@stakekit/api-hooks").RewardTypes;
        address?: string;
        stakedBalance?: import("@stakekit/api-hooks").ValidatorDto["stakedBalance"];
        votingPower?: import("@stakekit/api-hooks").ValidatorDto["votingPower"];
        commission?: import("@stakekit/api-hooks").ValidatorDto["commission"];
        website?: import("@stakekit/api-hooks").ValidatorDto["website"];
        status?: import("@stakekit/api-hooks").ValidatorDto["status"];
        preferred?: import("@stakekit/api-hooks").ValidatorDto["preferred"];
    }[]>;
    rewardRateAverage: import("purify-ts/Maybe").Maybe<string>;
    inactiveValidator: "full" | "jailed" | "deactivating" | "inactive" | "not_found" | null;
    totalAmountFormatted: import("purify-ts/Maybe").Maybe<string>;
    totalAmountPriceFormatted: import("purify-ts/Maybe").Maybe<string>;
    rewardsAmountFormatted: import("purify-ts/Maybe").Maybe<string>;
    rewardsAmountPriceFormatted: import("purify-ts/Maybe").Maybe<string>;
};
